Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.dom
Class DocumentMetadata

    java.lang.Object
      org.exist.dom.DocumentMetadata

public class DocumentMetadata
extends java.lang.Object

Field Summary
`static byte` | `HAS_DOCTYPE`
`static byte` | `HAS_LOCKTOKEN`
`static int` | `REINDEX_ALL`

Constructor Summary
`DocumentMetadata()`
`DocumentMetadata(DocumentMetadata other)`

Method Summary
`void` | `clearIndexListener()`
`void` | `decPageCount()`
`long` | `getCreated()`
`org.w3c.dom.DocumentType` | `getDocType()`
`NodeIndexListener` | `getIndexListener()`
`long` | `getLastModified()`
`LockToken` | `getLockToken()`
`java.lang.String` | `getMimeType()`
`int` | `getPageCount()` Returns the number of pages currently occupied by this document.
`int` | `getSplitCount()`
`int` | `getUserLock()`
`void` | `incPageCount()`
`void` | `incSplitCount()` Increase the page split count of this document.
`void` | `read(VariableByteInput istream)`
`int` | `reindexRequired()`
`void` | `setCreated(long created)`
`void` | `setDocType(org.w3c.dom.DocumentType docType)`
`void` | `setIndexListener(NodeIndexListener listener)`
`void` | `setLastModified(long lastModified)`
`void` | `setLockToken(LockToken token)`
`void` | `setMimeType(java.lang.String mimeType)`
`void` | `setPageCount(int pageCount)` Set the number of pages currently occupied by this document.
`void` | `setReindexRequired(int level)`
`void` | `setSplitCount(int count)`
`void` | `setUserLock(int userLock)`
`void` | `write(VariableByteOutputStream ostream)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HAS_DOCTYPE

    public static final byte HAS_DOCTYPE

See Also:
  Constant Field Values

### HAS_LOCKTOKEN

    public static final byte HAS_LOCKTOKEN

See Also:
  Constant Field Values

### REINDEX_ALL

    public static final int REINDEX_ALL

See Also:
  Constant Field Values

Constructor Detail

### DocumentMetadata

    public DocumentMetadata()

### DocumentMetadata

    public DocumentMetadata(DocumentMetadata other)

Method Detail

### getCreated

    public long getCreated()

### setCreated

    public void setCreated(long created)

### getLastModified

    public long getLastModified()

### setLastModified

    public void setLastModified(long lastModified)

### getMimeType

    public java.lang.String getMimeType()

### setMimeType

    public void setMimeType(java.lang.String mimeType)

### getPageCount

    public int getPageCount()

  Returns the number of pages currently occupied by this document.

### setPageCount

    public void setPageCount(int pageCount)

  Set the number of pages currently occupied by this document.

  Parameters:
    `pageCount` -

### incPageCount

    public void incPageCount()

### decPageCount

    public void decPageCount()

### write

    public void write(VariableByteOutputStream ostream)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

### read

    public void read(VariableByteInput istream)
              throws java.io.IOException,
                     java.io.EOFException

  Throws:
    `java.io.IOException`
    `java.io.EOFException`

### getUserLock

    public int getUserLock()

### setUserLock

    public void setUserLock(int userLock)

### getLockToken

    public LockToken getLockToken()

### setLockToken

    public void setLockToken(LockToken token)

### getDocType

    public org.w3c.dom.DocumentType getDocType()

### setDocType

    public void setDocType(org.w3c.dom.DocumentType docType)

### getIndexListener

    public NodeIndexListener getIndexListener()

### clearIndexListener

    public void clearIndexListener()

### setIndexListener

    public void setIndexListener(NodeIndexListener listener)

### reindexRequired

    public int reindexRequired()

### setReindexRequired

    public void setReindexRequired(int level)

### incSplitCount

    public void incSplitCount()

  Increase the page split count of this document. The number of pages that have been split during inserts serves as an indicator for the

### getSplitCount

    public int getSplitCount()

### setSplitCount

    public void setSplitCount(int count)

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.